﻿using System;
using System.Collections.ObjectModel;
using Xamarin.Forms;

namespace Carouseltester
{
    public partial class CarouseltesterPage : ContentPage
    {
        CarouselViewModel vm1 = new CarouselViewModel();


        public CarouseltesterPage()
        {
            InitializeComponent();

            carousel2.BindingContext = vm1;

        }
		void OnTapGestureRecognizerTapped(object sender, EventArgs args)
		{
			
            DisplayAlert("Image","The selected index is "+carousel2.SelectedIndex,"OK","Cancel");
		}


    }

    public class CarouselModel
    {
        public CarouselModel(string imageString)
        {
            Image = imageString;
        }
        private string _image;
        public string Image
        {
            get { return _image; }
            set { _image = value; }
        }
		private int _itemindex;
		public int ItemIndex
		{
			get
			{
				return _itemindex;
			}

			set
			{
				_itemindex = value;
			}
		}



    }
    public class CarouselViewModel
    {
        public CarouselViewModel()
        {
            ImageCollection2.Add(new CarouselModel("https://cdn.syncfusion.com/content/images/Images/Ubuntu_Server_Succinctly_img.png?v=04082017080611"));
			ImageCollection2.Add(new CarouselModel("https://cdn.syncfusion.com/content/images/Images/Go_Web_Development.png?v=04082017080611"));
			ImageCollection2.Add(new CarouselModel("https://cdn.syncfusion.com/content/images/downloads/ebooks/AutoCAD_Succinctly_coverimage.png?v=04082017080611"));
			ImageCollection2.Add(new CarouselModel("https://cdn.syncfusion.com/content/images/Images/MongoDB_3_Succinctly_final.png?v=04082017080611"));

		}
      
        private ObservableCollection<CarouselModel> imageCollection2 = new ObservableCollection<CarouselModel>();
        public ObservableCollection<CarouselModel> ImageCollection2
        {
            get { return imageCollection2; }
            set
            {
                imageCollection2 = value;
            }
        }

    }

	
}
